This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 840592 - (CVE-2012-3422) CVE-2012-3422 icedtea-web: getvalueforurl uninitialized instance pointer
CVE-2012-3422 icedtea-web: getvalueforurl uninitialized instance pointer
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20120731,repo...
: Security
Depends On: 841861 841862 844770
Blocks: 841346
  Show dependency treegraph
 
Reported: 2012-07-16 11:59 EDT by Tomas Hoger
Modified: 2015-11-24 10:07 EST (History)
3 users (show)

See Also:
Fixed In Version: icedtea-web 1.1.6, icedtea-web 1.2.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-31 17:56:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fix for 1.1/1.2/1.3/HEAD (974 bytes, patch)
2012-07-16 13:51 EDT, Adam Domurad
no flags Details | Diff

  None (edit)
Description Tomas Hoger 2012-07-16 11:59:59 EDT
An uninitialized pointer use flaw was found in IcedTea-Web web browser plugin.  A malicious web page could use this flaw make IcedTea-Web browser plugin pass invalid pointer to a web browser.  Depending on the browser used, it may cause the browser to crash or possibly execute arbitrary code.

The get_cookie_info() and get_proxy_info() call getFirstInTableInstance() with the instance_to_id_map hash as a parameter.  If instance_to_id_map is empty (which can happen when plugin was recently removed), getFirstInTableInstance() returns an uninitialized pointer.

http://icedtea.classpath.org/hg/icedtea-web/file/01544fb82384/plugin/icedteanp/IcedTeaNPPlugin.cc#l292
Comment 2 Adam Domurad 2012-07-16 13:51:49 EDT
Created attachment 598511 [details]
Fix for 1.1/1.2/1.3/HEAD
Comment 5 Tomas Hoger 2012-07-20 09:53:22 EDT
Acknowledgment:

Red Hat would like to thank Chamal De Silva for reporting this issue.
Comment 6 Tomas Hoger 2012-07-31 14:01:13 EDT
Lifting embargo.
Comment 7 Tomas Hoger 2012-07-31 14:02:18 EDT
Created icedtea-web tracking bugs for this issue

Affects: fedora-all [bug 844770]
Comment 9 Tomas Hoger 2012-07-31 14:40:30 EDT
Fixed upstream in IcedTea-web 1.1.6 and 1.2.1:
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2012-July/019580.html
Comment 10 errata-xmlrpc 2012-07-31 14:56:09 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1132 https://rhn.redhat.com/errata/RHSA-2012-1132.html
Comment 11 Fedora Update System 2012-09-21 19:52:58 EDT
icedtea-web-1.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-09-25 02:18:57 EDT
icedtea-web-1.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.